# Alien Language Translator 🛸

[![PyPI Version](https://img.shields.io/pypi/v/alien_language)](https://pypi.org/project/alien_language/)
[![License](https://img.shields.io/pypi/l/alien_language)](https://github.com/ishanoshada/alien-language/blob/main/LICENSE)
[![Python Versions](https://img.shields.io/pypi/pyversions/alien_language)](https://pypi.org/project/alien_language/)
[![GitHub Stars](https://img.shields.io/github/stars/ishanoshada/alien-language)](https://github.com/ishanoshada/alien-language/stargazers)
[![GitHub Issues](https://img.shields.io/github/issues/ishanoshada/alien-language)](https://github.com/ishanoshada/alien-language/issues)

**Alien Language Translator** is a fun and creative Python package that translates Python code into an alien-like syntax. Whether you're learning Python, teaching programming, or just looking for a fun way to experiment with code, this package is for you!

---

## Features ✨

- **Translate Python to Alien Language**: Convert Python code into a unique alien-like syntax.
- **Translate Alien Language to Python**: Convert alien code back into Python.
- **Command-Line Interface (CLI)**: Easily translate files or code snippets via the command line.
- **Interactive Mode**: Translate Python code in real-time using an interactive shell.
- **Lightweight and Easy to Use**: No dependencies, just pure Python fun!

---

## Installation 🛠️

You can install the `alien_language` package via pip:

```bash
pip install alien-language
```

---

## Usage 🚀

### 1. Translate Python to Alien Language

To translate a Python file (`my_script.py`) into alien language and save the output to `alien_script.alien`:

```bash
alien-translate --to-alien --input my_script.py --output alien_script.alien
```

### 2. Translate Alien Language to Python

To translate an alien language file (`alien_script.alien`) back into Python and save the output to `my_script.py`:

```bash
alien-translate --to-python --input alien_script.alien --output my_script.py
```

### 3. Interactive Mode

Start the interactive mode to translate Python code into alien language in real-time:

```bash
alien-translate --interactive
```

Example:

```plaintext
>>> print("Hello, Alien!")
zorp("Hello, Alien!")
```

Type `exit` to quit the interactive mode.

---

## Examples 📚

### Python Code

```python
def greet(name):
    if name == "Alien":
        print("Hello, Alien!")
    else:
        print("Hello, Human!")
```

### Translated Alien Code

```plaintext
plorp greet(name) [
    glorp name ==== "Alien" <
        zorp("Hello, Alien!")
    florp <
        zorp("Hello, Human!")
    >
]
```

---

## Contributing 🤝

We welcome contributions! If you'd like to contribute to the project, please follow these steps:

1. Fork the repository on [GitHub](https://github.com/ishanoshada/alien-language).
2. Create a new branch for your feature or bugfix.
3. Commit your changes and push them to your fork.
4. Submit a pull request with a detailed description of your changes.

For bug reports or feature requests, please open an issue on the [GitHub Issues](https://github.com/ishanoshada/alien-language/issues) page.

---

## License 📜

This project is licensed under the **MIT License**. See the [LICENSE](LICENSE) file for details.

---

## Support 💖

If you find this project useful, please consider giving it a ⭐️ on [GitHub](https://github.com/ishanoshada/alien-language). Your support helps us improve and maintain the project!

---

## Contact 📧

For questions or feedback, feel free to reach out:

- **Author**: Ishan Oshada
- **Email**: ishan.kodithuwakku.offical@gmail.com
- **GitHub**: [ishanoshada](https://github.com/ishanoshada)
- **Project URL**: [https://github.com/ishanoshada/alien-language](https://github.com/ishanoshada/alien-language)

